/* ==================== [ Root CSS Start ] ==================== */
/* ==================== [ Core Colors ] ==================== */
:root {
	--white: #FFFFFF;
	--black: #000000;
	--transparent: #0000;
}

/* ==================== [ Brand / Theme ] ==================== */
:root {
	--primary: #01B4B0;
	--secondary: #757575;
	--light-primary: #B6E0DF;
	--extra-light-primary: #EAF6F6;
	--light: #F5F5F5;
	--body: #FFFFFF;
}

/* ==================== [ Fonts ] ==================== */
:root {
	--font-primary: "Inter", sans-serif;
	/* --font-secondary: "", sans-serif; */
}

/* ==================== [ Layout / Container ] ==================== */
:root {
	--container: 1720px;
	--container-padding: 20px;
	--row-gutter-space: 24px;
}

/* ==================== [ Typography – Common ] ==================== */
:root {
	--a-color: var(--black);
	--a-hover-color: var(--primary);

	--marker-color: var(--primary);

	--blockquote-border-color: var(--primary);
	--blockquote-bg: var(--light);

	--pre-bg: var(--light);
	--pre-color: var(--black);
}

/* ==================== [ Table ] ==================== */
:root {
	--table-border: rgba(0, 0, 0, 0.1);

	--table-th-bg: var(--primary);
	--table-th-color: var(--black);

	--table-td-bg: var(--transparent);
	--table-td-color: var(--black);
}

/* ==================== [ Headings ] ==================== */
:root {
	--heading-color: var(--black);
	--heading-font-family: var(--font-primary);
	--heading-mb: 20px;
	--heading-fw: 700;

	--h1-fs: 64px;
	--h1-lh: normal;

	--h2-fs: 48px;
	--h2-lh: 150%;

	--h3-fs: 32px;
	--h3-lh: 40px;

	--h4-fs: 26px;
	--h4-lh: 34px;

	--h5-fs: 22px;
	--h5-lh: 30px;

	--h6-fs: 18px;
	--h6-lh: 26px;
}

/* ==================== [ Root CSS End ] ==================== */

/* ==================== [ Brand Global CSS Start ] ==================== */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

body {
	color: var(--black);
	font-family: var(--font-primary);
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
	background: var(--body);
	overflow-x: hidden;
}

/* ==================== [ Brand Global CSS End ] ==================== */

/* ==================== [ Typography Start ] ==================== */
figure {
	margin: 0;
}

strong,
b {
	font-weight: 700 !important;
}

a,
input,
button,
textarea {
	outline: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
textarea:-webkit-autofill:active,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus,
select:-webkit-autofill:active {
	-webkit-box-shadow: 0 0 0 1000px var(--transparent) inset !important;
	-webkit-text-fill-color: var(--secondary) !important;
	transition: background-color 5000s ease-in-out 0s;
}

input:autofill,
textarea:autofill,
select:autofill {
	background-color: var(--transparent) !important;
	color: var(--secondary) !important;
}

a {
	color: var(--a-color);
	word-break: break-word;
	transition: all 0.3s ease-in-out;
}

a:hover {
	color: var(--a-hover-color);
}

p {
	color: inherit;
	font-family: inherit;
	font-size: inherit;
	font-style: inherit;
	font-weight: inherit;
	line-height: inherit;
	margin-bottom: 20px;
}

ol,
ul {
	margin-bottom: 20px;
	padding-left: 20px;
}

ol ol,
ol ul,
ul ol,
ul {
	margin-top: 10px;
	margin-bottom: 10px;
}

ol li,
ul li {
	font-family: inherit;
	font-weight: inherit;
	font-size: inherit;
	line-height: inherit;
	color: inherit;
}

ol li::marker,
ul li::marker {
	color: var(--marker-color);
}

ul li:has(> ul),
ul li:has(> ol) {
	list-style-type: none;
}

blockquote {
	padding: 16px 16px 16px 24px;
	border-left: 5px solid var(--blockquote-border-color);
	margin-bottom: 20px;
	background-color: var(--blockquote-bg);
	font-size: inherit;
	line-height: inherit;
	color: inherit;
}

pre {
	background-color: var(--pre-bg);
	padding: 16px;
	overflow: auto;
	font-family: inherit;
	border-radius: 12px;
	position: relative;
	color: var(--pre-color);
}

pre code {
	font-size: inherit;
	font-weight: inherit;
	font-family: inherit;
	line-height: inherit;
}

table {
	width: 100%;
	border-collapse: collapse;
	margin-bottom: 16px;
	font-size: inherit;
}

th,
td {
	border: 1px solid var(--table-border);
	padding: 8px 12px;
	text-align: left;
}

th {
	background-color: var(--table-th-bg);
	font-weight: 600;
	font-size: inherit;
	color: var(--table-th-color);
}

td {
	background-color: var(--table-td-bg);
	font-weight: 400;
	font-size: inherit;
	color: var(--table-td-color);
}

h1,
.h1>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h1-fs);
	line-height: var(--h1-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

h2,
.h2>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h2-fs);
	line-height: var(--h2-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

h3,
.h3>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h3-fs);
	line-height: var(--h3-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

h4,
.h4>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h4-fs);
	line-height: var(--h4-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

h5,
.h5>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h5-fs);
	line-height: var(--h5-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

h6,
.h6>* {
	color: var(--heading-color);
	font-family: var(--heading-font-family);
	font-size: var(--h6-fs);
	line-height: var(--h6-lh);
	font-weight: var(--heading-fw);
	margin-bottom: var(--heading-mb);
}

hr {
	margin-block: 20px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	margin: 0;
}

textarea {
	resize: none;
}

.typography {
	padding-block: 120px;
}

.typography img {
	max-width: 300px;
	width: 100%;
	height: auto;
	aspect-ratio: 1/1;
	object-fit: cover;
	object-position: center;
	margin-bottom: 20px;
}

.typography img.align-left {
	margin-right: 40px;
	float: left;
}

.typography img.align-right {
	margin-left: 40px;
	float: right;
}

.typography img.align-center {
	margin-inline: auto;
	display: block;
}

/* ==================== [ Typography End ] ==================== */

/* ==================== [ Common Start ] ==================== */
.row {
	margin-inline: calc(var(--row-gutter-space) / -2);
	row-gap: var(--row-gutter-space);
}

.row>* {
	padding-inline: calc(var(--row-gutter-space) / 2);
}

.img-cover * {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

/* ==================== [ Common End ] ==================== */

/* ==================== [ Common Heading Start ] ==================== */
/* ==================== [ Common Heading End ] ==================== */

/* ==================== [ Button Start ] ==================== */
.btn {
	position: relative;
	width: fit-content;
	padding: 0px 0px 0px 16px;
	text-align: center;
	font-family: var(--font-primary);
	font-size: 18px;
	font-weight: 500;
	line-height: 155%;
	border-radius: 12px;
	border: 0px solid;
	text-decoration: none;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 16px;
	z-index: 1;
	white-space: nowrap;
	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	-ms-border-radius: 12px;
	-o-border-radius: 12px;
}

.btn span {
	background-color: var(--black);
	height: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 50px;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	-ms-border-radius: 10px;
	-o-border-radius: 10px;
}

.btn::before {
	position: absolute;
	content: "";
	top: 0;
	left: 0;
	width: calc(100% - 50px);
	height: 100%;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	-ms-border-radius: 10px;
	-o-border-radius: 10px;
	z-index: -1;
}

.btn-primary span img {
	width: 20px;
	height: 20px;
	margin-bottom: 0;
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
}

.btn-primary {
	color: var(--white);
	background: var(--transparent);
	border-color: var(--transparent);
}

.btn-primary::before {
	background: var(--primary);
}

.btn-primary:is(:hover, :focus-visible, :active, .active) {
	color: var(--white) !important;
	background-color: var(--transparent) !important;
	border-color: var(--transparent) !important;
	box-shadow: none !important;
	outline: 0 !important;
}

.btn-primary:is(:hover, :focus-visible, :active, .active) span img {
	transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
}

/* ==================== [ Button End ] ==================== */

/* ==================== [ Error 404 Start ] ==================== */
.error-404 {
	padding: 80px 0;
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100dvh;
}

.error-404 .heading {
	text-align: center;
}

.error-404 .action * {
	width: fit-content;
	margin: 0 auto;
}

/* ==================== [ Error 404 End ] ==================== */

/* ==================== [ Extra Common Start ] ==================== */
.container-fluid,
.container {
	padding-inline: var(--container-padding);
	margin-inline: auto;
}

.swiper-linear .swiper-wrapper {
	transition-timing-function: linear !important;
}

/* ==================== [ Extra Common End ] ==================== */


/* ==================== [ Header Start ] ==================== */
header {
	background-color: var(--white);
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 999;
}

.header .navbar {
	padding: 20px 0;
}

.header .navbar .navbar-brand {
	margin: 0;
	padding: 0;
}

.header .navbar .navbar-nav {
	display: flex;
	align-items: center;
	margin: 0;
	padding: 0 60px;
}

.header .navbar .navbar-nav,
.header .navbar .navbar-nav li {
	width: 100%;
}

.header .navbar .nav-link {
	position: relative;
	font-size: 18px;
	line-height: 150%;
	letter-spacing: -0.5px;
	background-color: var(--light);
	padding: 12px 20px;
	width: 100%;
	border: 1px solid rgba(1, 180, 176, 0);
	border-radius: 12px;
	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	-ms-border-radius: 12px;
	-o-border-radius: 12px;
}

.header .navbar .nav-link::before {
	position: absolute;
	content: "";
	top: 50%;
	right: 20px;
	width: 20px;
	height: 20px;
	background: url("../images/svgs/btn-arrow.svg") no-repeat center;
	background-size: cover;
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
}

.header .navbar .nav-link:is(:hover, :focus-visible, :active, .active) {
	border: 1px solid rgba(1, 180, 176, 0.20);
	box-sizing: border-box;
	background-color: var(--extra-light-primary);
	box-shadow: inset 0px 0px 16px 0px rgba(1, 180, 176, 0.16);
}

.header .navbar .nav-link:is(:hover, :focus-visible, :active, .active)::before {
	transform: translateY(-50%) rotate(45deg);
	-webkit-transform: translateY(-50%) rotate(45deg);
	-moz-transform: translateY(-50%) rotate(45deg);
	-ms-transform: translateY(-50%) rotate(45deg);
	-o-transform: translateY(-50%) rotate(45deg);
}

.navbar-toggler {
	width: 30px;
	height: 22px;
	padding: 0;
	box-shadow: none !important;
	border: none;
}

.navbar-toggler .hamburger {
	width: 100%;
	height: 100%;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	flex-direction: column;
	justify-content: space-between;
}

.navbar-toggler .hamburger-toggle {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.navbar-toggler .hamburger span {
	width: 100%;
	height: 2px;
	background-color: var(--black);
	position: relative;
	transition: 0.4s;
	-webkit-transition: 0.4s;
	-moz-transition: 0.4s;
	-ms-transition: 0.4s;
	-o-transition: 0.4s;
}

.navbar-toggler .hamburger span:first-child {
	top: 10px;
	transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
}

.navbar-toggler .hamburger span:nth-child(2) {
	opacity: 0;
}

.navbar-toggler .hamburger span:last-child {
	margin: 0;
	top: -10px;
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);
	-moz-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	-o-transform: rotate(-45deg);
}

.navbar-toggler.collapsed .hamburger span {
	opacity: 1 !important;
	top: auto !important;
	transform: none !important;
	-webkit-transform: none !important;
	-moz-transform: none !important;
	-ms-transform: none !important;
	-o-transform: none !important;
}

/* ==================== [ Header End ] ==================== */

/* ==================== [ Home Banner Start ] ==================== */
.home-banner {
	position: relative;
	padding-top: 120px;
	padding-bottom: 80px;
}

.home-banner .banner-container {
	position: relative;
	background-color: var(--extra-light-primary);
	padding-top: 38px;
	border-radius: 24px;
	-webkit-border-radius: 24px;
	-moz-border-radius: 24px;
	-ms-border-radius: 24px;
	-o-border-radius: 24px;
}

.home-banner .banner-container::before {
	position: absolute;
	content: "";
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url("../images/svgs/banner-pattern.svg") repeat center;
	background-size: 135px 135px;
	z-index: 0;
	opacity: 0.05;
}

.home-banner .banner-container .heading {
	position: relative;
	z-index: 1;
}

.home-banner .banner-container .heading .title {
	text-align: center;
	padding-bottom: 28px;
}

.home-banner .banner-container .heading .title span {
	display: inline-block;
	align-items: center;
}

.home-banner .banner-container .heading .title span img {
	border-radius: 20px;
	border: 2px solid rgba(0, 0, 0, 0.05);
	box-shadow: 0px 2px 4px 0px rgba(1, 180, 176, 0.05), 0px 7px 7px 0px rgba(1, 180, 176, 0.04), -1px 15px 9px 0px rgba(1, 180, 176, 0.03), -2px 27px 11px 0px rgba(1, 180, 176, 0.01), -3px 42px 12px 0px rgba(1, 180, 176, 0.00);
}

.home-banner .banner-container .heading .title span img:nth-child(1) {
	position: relative;
	z-index: 2;
	transform: rotate(-8deg);
	-webkit-transform: rotate(-8deg);
	-moz-transform: rotate(-8deg);
	-ms-transform: rotate(-8deg);
	-o-transform: rotate(-8deg);
}

.home-banner .banner-container .heading .title span img:nth-child(2) {
	margin-left: -18px;
	z-index: 1;
}

.home-banner .banner-container .heading .title span img:nth-child(3) {
	margin-left: -18px;
	transform: rotate(8deg);
	-webkit-transform: rotate(8deg);
	-moz-transform: rotate(8deg);
	-ms-transform: rotate(8deg);
	-o-transform: rotate(8deg);
}

.home-banner .banner-container .heading .disc {
	text-align: center;
	max-width: 560px;
	margin: 0 auto;
}

.home-banner .banner-container .heading .disc * {
	margin-bottom: 24px;
}

.home-banner .banner-container .heading .action {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 48px;
}

/* ==================== [ Home Banner End ] ==================== */

/* ==================== [ About Our Brand Start ] ==================== */
.about-our-brand {
	position: relative;
	padding: 80px 0;
}

.about-our-brand .about-container {
	display: flex;
	align-items: stretch;
	gap: 20px;
}

.about-our-brand .image {
	max-width: 50%;
	width: 100%;
	height: auto;
	overflow: hidden;
	border-radius: 24px;
	-webkit-border-radius: 24px;
	-moz-border-radius: 24px;
	-ms-border-radius: 24px;
	-o-border-radius: 24px;
}

.about-our-brand .content {
	max-width: 50%;
	width: 100%;
	padding: 48px;
	height: auto;
	background-color: var(--light);
	overflow: hidden;
	border-radius: 24px;
	-webkit-border-radius: 24px;
	-moz-border-radius: 24px;
	-ms-border-radius: 24px;
	-o-border-radius: 24px;
}

.about-our-brand .title * {
	font-weight: 500;
	margin-bottom: 24px;
}

.about-our-brand .disc {
	margin-bottom: 24px;
}

.about-our-brand .disc * {
	font-size: 18px;
	color: var(--secondary);
	margin-bottom: 16px;
}

.about-our-brand .disc *:last-child {
	margin-bottom: 0;
}

.about-our-brand ul {
	margin: 0 0 24px 0;
	padding: 0;
	list-style: none;
}

.about-our-brand ul li {
	padding: 14px 0 14px 32px;
	position: relative;
	font-size: 18px;
	line-height: 150%;
}

.about-our-brand ul li:not(:last-child) {
	border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.about-our-brand ul li::before {
	position: absolute;
	content: "";
	top: 15px;
	left: 0;
	width: 24px;
	height: 24px;
	background-image: url('data:image/svg+xml,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"> <path d="M16.34 2C19.73 2 22 4.38 22 7.92V16.091C22 19.62 19.73 22 16.34 22H7.67C4.28 22 2 19.62 2 16.091V7.92C2 4.38 4.28 2 7.67 2H16.34ZM16.18 9C15.84 8.66 15.28 8.66 14.94 9L10.81 13.13L9.06 11.38C8.72 11.04 8.16 11.04 7.82 11.38C7.48 11.72 7.48 12.27 7.82 12.62L10.2 14.99C10.37 15.16 10.59 15.24 10.81 15.24C11.04 15.24 11.26 15.16 11.43 14.99L16.18 10.24C16.52 9.9 16.52 9.35 16.18 9Z" fill="%2301B4B0"/> </svg> ');
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}

.about-our-brand .action {
	position: relative;
	z-index: 1;
	padding-top: 8px;
}

/* ==================== [ About Our Brand End ] ==================== */

/* ==================== [ Our Product Start ] ==================== */
.our-product {
	position: relative;
	padding: 80px 20px;
}

.our-product .bg {
	padding: 80px 20px;
	background-color: var(--extra-light-primary);
	border-radius: 24px;
	-webkit-border-radius: 24px;
	-moz-border-radius: 24px;
	-ms-border-radius: 24px;
	-o-border-radius: 24px;
}

.our-product .heading .title * {
	text-align: center;
	margin-bottom: 48px;
}

.our-product .product-group {
	display: flex;
	align-items: flex-end;
	gap: 20px;
}

.our-product .product-group .main-slider {
	display: flex;
	align-items: stretch;
	gap: 20px;
	max-width: 1430px;
	width: 100%;
}

.our-product .product-group .main-slider>* {
	flex: 0 0 calc(50% - 10px);
	width: 100%;
}

.our-product .product-group .main-slider .content {
	display: flex;
	flex-direction: column;
	height: auto;
	gap: 30px;
}

.our-product .product-group .main-slider .content .top-details .subtitle * {
	font-size: 18px;
	line-height: 150%;
	letter-spacing: -1.08px;
	color: var(--secondary);
	margin-bottom: 8px;
}

.our-product .product-group .main-slider .content .top-details .title * {
	margin-bottom: 24px;
}

.our-product .product-group .main-slider .content .top-details .price-group {
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	padding-bottom: 24px;
	margin-bottom: 24px;
}

.our-product .product-group .main-slider .content .top-details .price-group .price * {
	color: var(--primary);
	margin-bottom: 0;
}

.our-product .product-group .main-slider .content .top-details .price-group .rating {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	gap: 4px;
}

.our-product .product-group .main-slider .content .top-details .price-group .rating .number {
	font-weight: 500;
	font-size: 22px;
	line-height: 150%;
	letter-spacing: -1.32px;
	text-align: end;
	color: var(--black);
	margin-bottom: 0;
}

.our-product .product-group .main-slider .content .top-details .price-group .rating ul {
	display: flex;
	align-items: center;
	list-style: none;
	gap: 6px;
	padding: 0;
	margin: 0;
}

.our-product .product-group .main-slider .content .top-details .disc * {
	font-size: 18px;
	line-height: 150%;
	color: var(--secondary);
}

.our-product .product-group .main-slider .content .top-details .disc strong {
	font-weight: 500;
	font-size: 22px;
	line-height: 150%;
	color: var(--black);
}

.our-product .product-group .main-slider .content .action {
	margin-top: auto;
}

.our-product .product-group .sub-slider {
	width: 100%;
	max-width: 270px;
	flex-shrink: 0;
	cursor: pointer;
}

.our-product .swiper-tools {
	position: relative;
	margin-top: 32px;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.our-product .swiper-tools .pagination {
	flex-shrink: 0;
	max-width: calc(1430px / 2 - 10px);
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}

.our-product .swiper-tools .pagination .our-product-pagination {
	width: fit-content;
}

.our-product .swiper-tools .swiper-arrows {
	display: flex;
	align-items: center;
	max-width: 270px;
	width: 100%;
	display: flex;
	justify-content: center;
	gap: 30px;
}

.swiper-pagination-bullet {
	margin: 0 4px;
	width: 10px;
	height: 10px;
	transition: all 0.3s ease-in-out;
	border-radius: 50px;
	-webkit-border-radius: 50px;
	-moz-border-radius: 50px;
	-ms-border-radius: 50px;
	-o-border-radius: 50px;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
	background-color: var(--primary);
	opacity: 0.2;
}

.swiper-pagination-bullet-active {
	width: 40px;
	opacity: 1;
}

/* ==================== [ Our Product End ] ==================== */